/* FROM "ALL-CUSTOM-CSS" */

/* BA EA TEST IMPROVEMENTS - SD March 2024 */

.context-302369 #slide-body {
filter:grayscale(1);
}

.context-302369 .card-deck .card {
padding:1.2em;
}

/*BUBBLE QUOTATION STYLING - delete once new foundations is live*/

/* CSS talk bubble */
.talk-bubble {
	margin: 0;
 display: inline-block;
 position: relative;
	width:90%;
	height: auto;
	background-color: #e6ffff;
}
.border{
 border: 8px solid #bedce6;
}

.round{
 border-radius: 30px;
	-webkit-border-radius: 30px;
	-moz-border-radius: 30px;

}

/* ASSESSMENT PAGE FORMATTING (with scenario reprise styling) */
.standardAssessmentQ {
margin-top:10px;
}

.standardAssessmentQ p {
font-size:1.188rem!important;
font-weight:400;
margin-left:13%;
margin-top: 5px;
width:70%;
}

.scenario_Reprise {
position:absolute;
right:20px;
top: 114px;
width:150px;
border:1px solid #eee;
border-radius:10px;
padding:15px 10px 10px 10px;
cursor:pointer;
z-index:10;
background-color:white;
margin-bottom:5px;
box-shadow: 3px 3px 3px #a9a9a9;
}


/* VARIOUS LESSON MODULE STYLES */

.path-mod-lesson .column {
margin-bottom:20px;
}

.path-mod-lesson .answeroption .checkbox label p, .path-mod-lesson .studentanswer p {
font-size:16px;
}

#page-mod-lesson-view #page-content {
height:auto;
width:100%;
max-width:1300px;
margin-left:auto;
margin-right:auto;
padding-bottom:150px;
}

#page-mod-lesson-view #page-content .box.contents {
margin:0;
}

#page-mod-lesson-view h4 {
color:#444;
}

#page-mod-lesson-view li {line-height:20px;}

#page-mod-lesson-view a.centerpadded.lessonbutton.standardbutton {
border:2px solid;
padding:10px;
}

.modal-body p, .modal-body li {
font-size:16px;
margin-bottom:10px;
}

div.progress > div.progress-bar.progress-bar-success {
background-color:#609e1b;
}

#page-mod-lesson-view .hide-on-lesson-view, #page-mod-lesson-edit .hide-on-lesson-view, #page-mod-lesson-editpage .hide-on-lesson-view {
display:none;
}

/*CUSTOM LESSON APPEARANCE*/

 /*REMOVE DEFAULT TITLES*/

.path-mod-lesson h2, .path-mod-lesson h3 {
display: none;
}

#page-mod-lesson-view #above-header.mb-2.mb-lg-3 {
margin-bottom:0!important;
}

#page-mod-lesson-view #above-header {
display:none;
}

#page-mod-lesson-view.editing #above-header {
display:block;
}

#page-mod-lesson-view #adaptable-page-header-wrapper #main-navbar {
background-color:#bbb;
opacity:0.5;
transition:0.2s;
}

#page-mod-lesson-view #adaptable-page-header-wrapper  #main-navbar:hover {
background-color:#8379b5;
opacity:1;
}

#page-mod-lesson-view .page-header-headings, #page-mod-lesson-view .page-context-header, #page-mod-lesson-view .breadcrumb-nav, #page-mod-lesson-view #page-footer, #page-mod-lesson-view .ftoggler, #page-mod-lesson-view #page-header {
display:none!important;
}

#page-mod-lesson-view .standardbutton {
padding:10px;
text-align:center;
margin-right:5px;
}

#page-mod-lesson-view .answeroption .fitemtitle {
margin-top:-10px;
width:100%;
}

#page-mod-lesson-view .fitem .felement {
margin-left:5%;
clear:both;
}

#page-mod-lesson-view .box.ongoing.center {
font-family: "Open Sans",tahoma,arial,sans-serif;
position:absolute;
bottom:93px;
z-index:1;
background-color:white;
border-radius:0 10px 0 0;
padding:5px 10px;
opacity:0.6;
font-size:12px;
}


#custom-lesson-page, #custom-lesson-page-vid {
position:relative;
overflow:hidden;
min-height:300px;
}

#slide-body {
height:715px;
min-height:360px;
overflow:hidden;
margin-top:1px;
}

#slide-body.background {
background-color:#c1c2d0;
}

#slide-body > iframe {
width:100%;
height:100%;
min-height:400px;
}

#slide-body.vimeo > iframe {
margin-top:-50px;
}




.path-mod-lesson.context-99930 #titles {
height:60px;
}

body.vp-center {
height:95%!important;
}

#slide-content {
height:80%;
width:80%;
min-height:400px;
min-width:300px;
margin: 50px auto;
}

#slide-content.scenario-options {
margin: 0 auto!important;
width:95%;
}

.inner-cont {
padding:1.2em;
background-color:white;
}

#slide-content.scenario-intro {
margin: 0 auto!important;
width:80%;
}

.scenario-intro-label {
position: absolute;
top: unset
bottom: 5px!important;
background-color: rgba: 255 255 255 0.8!important;
}

.inner.background, .std-bkg {
background-color:white;
}

/*the following also has "background-color: white;" on main site's old css */
.scenario-inner-cont {
padding: 20px 20px 5px 20px;
}

.scenario-feedback-text {
padding:5px 15px;
background-color:#f0f0f0;
}

.scenario-feedback-text.incorrect {
color: red;
font-size:inherit!important;
}

.scenario-feedback-text.correct {
color: green;
font-size:inherit!important;
}

.feedback_correct {
color: green;
max-width:80%!important;
}

.feedback_incorrect {
color: red;
max-width:80%!important;
}

#narrator {visibility:hidden;}

/*GENERIC CSS FOR  LESSON BASED COURSES */

#custom-lesson-page {
height:800px;
}

#custom-lesson-page-vid {
height:800px;
}

 /*CUSTOM LESSON SLIDE NAVIGATION CONTROLS*/

#sd-titles-wrapper, #sd-titles-wrapper-ms {
height:60px;
width:100%;
}

#sd-titles-wrapper, .sd-titles-wrapper {
background-color:#8379b5;
}

.slide-play, .slide-pause, .slide-repeat, .slide-read-text, .slide-additional, .slide-take-break, .slide-play-feedback {
color:#8379b5;
background-color:white;
}

.slide-controls {
border: 1px solid #8379b5;
cursor:pointer;
}

.slide-controls > I, .slide-controls-ms > i {
font-size:175%;
padding:5px;
}

.slide-controls:hover {
color:white;
background-color:#8379b5;
border:1px solid white;
}

.slide-controls-ms {
border: 1px solid #3c61ad;
cursor:pointer;
} 

.slide-controls-ms:hover {
background-color:#3c61ad; 
border: 1px solid white;
color:white;
} 

.slide-play, .slide-play-ms {
padding: 2px 6px 2px 10px;
border-radius:20px 0 0 20px;
}

.slide-pause, .slide-repeat, .slide-read-text, .slide-additional, .slide-pause-ms, .slide-repeat-ms, .slide-read-text-ms, .slide-additional-ms {
padding: 2px 8px 2px 8px;
}

.slide-play-feedback, .slide-play-feedback-ms {
padding: 2px 8px 2px 8px;
border-radius:20px 20px 20px 20px;
}

.slide-take-break, .slide-take-break-ms {
padding: 2px 8px 2px 8px;
border-radius:0 20px 20px 0;
}

.sd-title-text {
color:white!important;
padding:5px 0 0 5px;
font-size:16px;
}

.sd-sub-title-text {
color:white;
padding-left:5px;
font-size:16px;
font-weight:600;
}

.sd-slide-controls {
position:absolute;
top:10px;
right:10px;
z-index:5;
}


/*LESSON PAGE PROGRESS BAR*/

#custom-lesson-page .progress {
position:relative;
bottom:5px;
height:20px;
padding-top:2px;
border-radius:0;
line-height:5px;
}

#custom-lesson-page .progress p {
position:absolute;
top:12px;
}

/* MEDIA MANAGEMENT OPTIONS FOR STATES ON SLIDE LOAD*/

.play-slide-middle, .full-text-middle {
z-index:1;
position:absolute;
left:0;
width:100px;
}

.play-slide-middle {
top:100px;
-webkit-animation-name:slide-in; /* Safari 4.0 - 8.0 */
 -webkit-animation-duration: 0.5s; /* Safari 4.0 - 8.0 */
 animation-name: slide-in;
 animation-duration: 0.5s;
}

.full-text-middle {
top:175px;
-webkit-animation-name:slide-in; /* Safari 4.0 - 8.0 */
 -webkit-animation-duration: 0.75s; /* Safari 4.0 - 8.0 */
 animation-name: slide-in;
 animation-duration: 0.75s;
}

.play-slide-middle > i, .full-text-middle > i {
background-color:white;
padding:10px;
font-size:300%;
cursor:pointer;
color:#8379b5;
border-radius:0 50% 50% 0;
box-shadow:1px 1px 2px #ccc;
}

.play-slide-middle > i:hover, .full-text-middle > i:hover {
background-color:#8379b5;
color:white;
}

.anim-paused {
animation-play-state:paused;
}

.ini-hidden {
display:none;
}

/* QUESTION STYLES AND BEHAVIOURS */

div.text_to_html > div.correctanswer.generalbox {
margin-bottom:20px;
padding-top:5px;
border-top:2px solid #dddddd;
border-bottom:2px solid #dddddd;
}

div.text_to_html > div.correctanswer.generalbox .correct {
color:green;
}

div.text_to_html > div.correctanswer.generalbox .incorrect {
color:red;
}


.response.incorrect > em {
color:#444!important;
}

#page-mod-lesson-view div.singlebutton>form>div>input, #page-mod-lesson-view .lessonbutton.standardbutton > a.btn, #page-mod-lesson-view div.felement.fsubmit > input#id_submitbutton {
color:white;
background-image: none;
background-color:#9584b4;
border: 2px solid #9584b4;
text-shadow:none;
transition: ease 0.5s;
font-size:12px;
border-radius:0;
}

#page-mod-lesson-view div.singlebutton>form>div>input:hover, #page-mod-lesson-view .lessonbutton.standardbutton > a.btn:hover, #page-mod-lesson-view div.felement.fsubmit > input#id_submitbutton:hover {
color:#9584b4;
background-color:white;
}

#page-mod-lesson-view .slide-body p, #page-mod-lesson-view .answeroption, #page-mod-lesson-view .studentanswer {
font-size:16px;
}

.profile_tree .node_category:nth-child(4) {
display:none!important;
}

.modal-dialog .modal-content {
border:1px solid #444!important;
}

#page-mod-lesson-view .hide-on-view {
display:none;
}


/* BASIC AWARENESS */

#page-mod-lesson-view.course-455 li, #page-mod-lesson-view.course-515 li, #page-mod-lesson-view.course-484 li  {
line-height:28px;
}

/* SCENARIO STUFF FOR BASIC AWARENESS */
/* and some assessment page display bits and pieces */

.course-515 .last-row {
width: 72%;
margin:0 auto;
}

.course-515 .card.tile {
max-width:42%;
box-shadow: 5px 5px 5px #696969;
}

.course-515 .card.meth {
max-width:48%;
box-shadow: 5px 5px 5px #696969;
padding:10px;
}

.course-515 .card.full {
box-shadow: 5px 5px 5px #696969;
max-width:96%;
padding: 10px;
}

.course-515 .card.tile.intro {
max-width:30%;
}

.course-515 .card.tile:hover {
  box-shadow: 12px 12px 12px #505050;
}

.course-515 .card.card-half.tile {
max-width:13%;
box-shadow: unset;
visibility: hidden;
}

.course-515 .card-footer {
    background-color: rgba(255,255,255,.85);
    border-top: unset;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 2px 0 0 0!important;
    margin-bottom: 0;
}

.course-515 .top-title {
max-width: 97%;
box-shadow: 3px 3px 3px #a9a9a9;
}

.course-515 .card-footer h4, .course-515 .top-title h4 {
text-align:center!important;
margin-bottom:3px;
margin-top:3px;
font-weight:500!important;
}

.course-515 .answeroption, .course-515 .studentanswer p {
font-size:1.125rem!important;
max-width:85%;
margin-left:15%;
}

.course-515 .nav.nav-pills.nav-stacked a {
padding-left: 5px;
}

.course-515 .scenario-question {
padding-left: 5px;
font-size: 1.1rem;
color: #224b5d; /* this is a darker version of the highlighting colour; 3e6678 is slightly lighter if necessary */
margin-top:-15px;
margin-bottom:5px;
}

.course-515 .scenario-bottom {
margin-bottom:0;
margin-top:5px;
}

.course-515 .scenario-middle {
margin-bottom:5px;
margin-top:-5px;
}


.course-515 .scenario-inner-cont {
padding: 20px 20px 20px 20px;
}

.course-515 .tab-pane.fade p {
margin-bottom:0;
}

/* this can be deleted, along with the original once the rest of the courses have the classes above assigned to their questions */
.course-515 div.text_to_html > div.correctanswer.generalbox .incorrect, .course-515 div.text_to_html>div.correctanswer.generalbox .correct, .course-484 div.text_to_html > div.correctanswer.generalbox .incorrect, .course-484 div.text_to_html>div.correctanswer.generalbox .correct {
color:black;
font-size: 1.125rem!important;
}

.course-515 .col-md-3, .course-484 .col-md-3 {
    flex: 0 0 15%;
    max-width: 25%;
}

#page-mod-lesson-view.course-515 div.no-overflow, #page-mod-lesson-view.course-484 div.no-overflow {
overflow: hidden;
}


/*MODERN SLAVERY CATEGORY */

.category-10 h1, .category-10 h2, .category-10 h3, .category-10 h4 {
font-family: 'Bebas Neue', cursive!important;
color:#55595A;
}


.category-10 h5, .category-10 p, .category-10 li {
font-family: 'Lato', sans-serif!important;
}

.category-10 .sd-title-text {
font-size:20px;
line-height:1!important;
color:#fff!important;
}

.category-10 #sd-titles-wrapper, .category-10 .sd-titles-wrapper,  .category-10 .btn-secondary, .category-10 .btn-secondary:hover {
background-color:#55595A;
}

 .category-10 .btn-secondary, .category-10 .btn-secondary:hover {
font-family: 'Lato', sans-serif!important;
border:1px solid #55595A;
}

.category-10 .slide-play, .category-10 .slide-pause, .category-10 .slide-repeat, .category-10 .slide-read-text, .category-10 .slide-take-break, .category-10 .play-slide-middle>i, .category-10 .full-text-middle>i  {
color:#F8C712;
}

.category-10 .slide-take-break-assess {
    color: #f8c712;
    margin: 0 10px 0 0!important;
    border-style: none!important;
    background-color: transparent!important;
   font-size:120%!important;
}

.category-10 .slide-controls {
border:1px solid #55595A;
}

.category-10 .slide-controls:hover, .category-10 .play-slide-middle>i:hover, .category-10 .full-text-middle>i:hover {
background-color:#F8C712;
}

/*  positions clewer logo and link on MSHT lesson pages */

#branding {
position:absolute;
top:60px;
right:0;
}

#branding img {
max-width:200px;
}

/* END MSHT */

/* SPACING FOR LISTS IN Enhanced Accessibility COURSES */
.ee
{
padding-bottom:0.7rem;
}

/*SAFER RECRUITMENT*/

#page-mod-book-view #region-main {
padding:4rem!important;
}

#downloadable {
position:absolute;
bottom:50px;
right:15px;
}

#downloadable > a {
padding:12px 15px 12px 15px;
background-color:white;
color:green;
border-radius:50%;
cursor:pointer;
border:2px solid green;
}

#downloadable > a:hover {
color:white;
background-color:green;
transition:0.5s ease;
}

#downloadable i {
transform: scale(1);
	animation: pulse 3s ;
animation-iteration-count: infinite;
}

@keyframes pulse {
	0% {
		transform: scale(1);
	}

	90% {
		transform: scale(1);
	}

    95% {
		transform: scale(2);
	}

 99% {
		transform: scale(0.95);
	}

	100% {
		transform: scale(1);
	}
}

.decisions-text, .outcomes-text, .repeat-text {
padding:50px;
text-align:center;
margin: 50px 10% 0 10%;
}

.decisions-text {
color:green;
font-size:1.2em;
border:2px solid green;
}

.outcomes-text {
color:orange;
font-size:1.2em;
border:2px solid orange;
}

.repeat-text {
font-size:1.2em;
}

#q-ref-menu .nav {
margin-bottom:-2px;
}

 #q-ref-menu .nav-pills>li>a {
 -webkit-border-radius:0 0 0 0!important;
 -moz-border-radius:0 0 0 0!important;
 border-radius:0 0 0 0!important;
 color:#837ab3!important;
 padding: 20px 10px 20px 10px;
 }

 #q-ref-menu .nav-pills>.active>a {
 background-color:#837ab3!important;
 color:white!important;
 }

#q-ref-menu .nav>li>a:hover {
border-left-color:#837ab3;
}

#sr-routemap {
float:left;
}

#sr-routemap-wrapper {
width:auto;
height:30px;
position:relative;
}

.hr-step {
width:28px;
height:28px;
margin-left:2px;
margin-top:2px;
float:left;
position:relative;
transition: width 0.5s;
}

.hr-step {
background-color:gray;
}

.dbs-step {
background-color:#cccccc;
}

.dbs-step.blank {
background-color:transparent;
}

.hr-step p, .dbs-step p {
text-align:center;
margin-top:3px;
color:white;
}

.hr-step:hover, .dbs-step:hover {
cursor:pointer;
}

.hr-step:hover, .hr-step.active {
background-color:green;
}

ul.boldgreen > li > b {
color:green;
}


/* NOT SURE WHICH COURSES THESE ARE USED IN */

/*3x3 CENTRED GRID LAYOUT */

.centered {
margin-left:auto;
margin-right:auto;
width:375px;
}

.grid-wrapper {
width:375px;
height:375px;
margin-left:auto;
margin-right:auto;
}

.grid-item {
width:125px;
height:125px;
float:left;
}

.grid-clickme {
width:121px;
height:121px;
margin:2px 2px 2px 2px;
background-color:#09696a;
transition:0.1s ease;
border-radius:3px;
}

.grid-clickme:hover {
background-color:red;
width:124px;
height:124px;
margin:0 0 0 0;
}

.grid-clickme.revealed {
background-color:black;
opacity:0.8;
}

.grid-clickme i {
font-size:50px;
margin-left:auto;
margin-right:auto;
padding:30px;
color:white;
cursor:pointer;
}

.grid-clickme p {
font-weight:500;
text-align:center;
padding:35px 5px 0 5px;
color:white;
}

/*4x3 CENTRED GRID LAYOUT*/

#fourbythree .grid-wrapper {
width:500px;
height:375px;
}

#fourbythree.centered {
width:500px;
margin-left:auto;
margin-right:auto;
}

/*GENERIC -  BOX SHADOW UTILITIES*/

.box-shadow {
box-shadow:1px 1px 10px gray;
}

.box-shadow-lower {
box-shadow:0 1px 1px 1px gray;
}

/*BOOTSTRAP CAROUSEL ELEMENT IN LESSONS*/

#page-mod-lesson-view .carousel-indicators li {
background-color:#B4ADE6;
}

#page-mod-lesson-view .carousel-indicators li.active {
background-color:slateblue;
}

#page-mod-lesson-view a.carousel-control-prev, #page-mod-lesson-view a.carousel-control-next  {
box-shadow:none!important;
}

#page-mod-lesson-view .carousel-nav {
color:slateblue;
font-size:20px;
}

#page-mod-lesson-view .card.carousel-card {
max-width:500px;
margin:2rem auto;
border:unset;
}

.box.branchbuttoncontainer.horizontal, .box.branchbuttoncontainer.vertical {
position:relative;
margin-top:-5px!important;
background-color:white;
padding-top:5px;
padding-bottom:30px;
}

.box.branchbuttoncontainer.horizontal>.singlebutton {
position:absolute;
top:1px;
}

.box.branchbuttoncontainer.horizontal>.singlebutton:nth-child(2) {
right:0;
}


/*WHAT IS THIS FOR? */
/*old 4 Rs indicator, I think */
#slide-body .nav-pills a.active {
background-color:#79a1b5;
color:white;
padding:5px;
}

/* icon colours (RADA I think - TH) */
.fas.fa-check, .fas.fa-bolt, .fas.fa-info-circle, .fas.fa-fist-raised, .fas.fa-mars, .fas.fa-cross, .fas.fa-transgender  {
color:green; 
}

.fas.fa-heart-broken, .fas.fa-exclamation-triangle {
color:#BB1F4C!important;
}



/* XXXXXXXXXXXXXXXXXXXXXXXXXXX FROM "WITHIN HEAD" XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX */

/* All click-through courses */
/* INITIALLY HIDE INCORRECT ANSWER BOX */
#page-mod-lesson-view .col-form-label, .box.feedback {
display:none;
}

